### Property

# Gio TlsConnection:interaction

since: 2.30

#### Declaration

    property interaction: Gio.TlsInteraction [ read, write ]

#### Description [src]

A `GTlsInteraction` object to be used when the connection or certificate database need to interact with the user. This will be used to prompt the user for passwords where necessary.

Type:`GTlsInteraction`

Available since: 2.30

Getter method | `g_tls_connection_get_interaction()`
Setter method | `g_tls_connection_set_interaction()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no